package com.sun.jmx.snmp;

import java.util.Enumeration;
import java.net.InetAddress;

public interface InetAddressAcl
{
    public abstract String getName();
    
    public abstract boolean checkReadPermission(InetAddress p0);
    
    public abstract boolean checkReadPermission(InetAddress p0, String p1);
    
    public abstract boolean checkCommunity(String p0);
    
    public abstract boolean checkWritePermission(InetAddress p0);
    
    public abstract boolean checkWritePermission(InetAddress p0, String p1);
    
    public abstract Enumeration<InetAddress> getTrapDestinations();
    
    public abstract Enumeration<String> getTrapCommunities(InetAddress p0);
    
    public abstract Enumeration<InetAddress> getInformDestinations();
    
    public abstract Enumeration<String> getInformCommunities(InetAddress p0);
}
